package de.intevation.gnv.action.sessionmodel;

import java.util.HashMap;
import java.util.Map;

/**
 * Stores key-value pairs used to save user input for changing diagram
 * attributes.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class DiagrammOptions {

    private Map<String, String> values = new HashMap<String, String>();

    /**
     * Constructor
     */
    public DiagrammOptions() {
        super();
    }

    /**
     * Returns the Value to a given Key
     * @param The key of the value that should be returned.
     * @return the value.
     */
    public String getValue(String key) {
        return this.values.get(key);
    }


    /**
     * Set a value with the given key.
     *
     * @param key The given key.
     * @param value The value to be stored.
     */
    public void setValue(String key, String value) {
        this.values.put(key, value);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
